function [out_sound IR] = convSound(input_sound, sound_data, startX, endX, startY, endY)
    [wav Fs] = wavread(input_sound);
    IR = load( [sound_data '-IR.m'] );
    time = IR(:,1);
    attenuation = IR(:,2);
    IR_filter(time) = attenuation;
    out_sound = conv(wav, IR_filter');
    soundsc(out_sound, Fs);
    wavwrite(out_sound, Fs, [sound_data '.wav']);
    
    IR_shift = [zeros(1,10) IR_filter];
    f = figure(1);
    if(nargin < 3)
        plot(IR_shift);
    else
        plot(IR_shift); axis([startX endX startY endY]);
    end
    saveas(f, [sound_data '-IR.png']);
end
