#include "../slim.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "../parse/slm_parser.h"
#include "../parse/obj_parser.h"
#include "../common/structs.h"
#include "../common/debug.h"

void setup_scene_names(scene_data *main_scene)
{
	char *dot_index;
	
	//get extension
	dot_index = strrchr(main_scene->filename, '.');
	dot_index++;
	strncpy((char*)&main_scene->extension, dot_index, EXTENSION_LENGTH);
	
	strncpy((char*)&main_scene->scene_name, main_scene->filename, strlen(main_scene->filename) - strlen(main_scene->extension) - 1);
}

/**********************************
 * reads a file into memory
 **********************************/
int read_scene(scene_data* main_scene)
{
	FILE* scene_file;
	char *p;
	int c = 0;
//	char *dot_index;
	
	//setup names
	setup_scene_names(main_scene);

	//read the file
	scene_file = fopen( (char *) main_scene->filename, "r");
	if(scene_file == 0)
	{
		printd(5, "Error reading file\n");
		return 0;
	}

	/* copy the file to memory */
	p = (char*) &(main_scene->file_content);
	while ( (c = getc(scene_file)) != EOF)
	{
		*p = (char)c;
		p++;
	}
   *p = '\0';

   fclose(scene_file);

//   printd(-1, "\n----------------------------------------\n");
//   printd(-1, "file contents:\n%s\n", main_scene->file_content);
//   printd(-1, "\n----------------------------------------\n");

   return 1;
}
